services:
  snek:
    build: .
    restart: always
    ports:
      - "8081:8081"
    volumes:
      - ./:/code
    environment:
     - PYTHONDONTWRITEBYTECODE="1"
     - PYTHONUNBUFFERED="1"
    entrypoint: ["gunicorn", "-w", "1", "-k", "aiohttp.worker.GunicornWebWorker", "snek.gunicorn:app","--bind","0.0.0.0:8081"]
    #["python","-m","snek.app"]
  snecssh:
    build:
      context: .
      dockerfile: DockerfileDrive
    restart: always
    ports:
      - "2225:2225"
    volumes:
      - ./:/code
    environment:
     - PYTHONDONTWRITEBYTECODE="1"
     - PYTHONUNBUFFERED="1"
    entrypoint: ["python","-m","snekssh.app2"]
    #["python","-m","snek.app"]
   
